package sop_node

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/sop_node"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /sop_node/list sop_node GetSopNodeList
//
// Get sop node list | 获取SopNode列表
//
// Get sop node list | 获取SopNode列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: SopNodeListReq
//
// Responses:
//  200: SopNodeListResp

func GetSopNodeListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.SopNodeListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := sop_node.NewGetSopNodeListLogic(r.Context(), svcCtx)
		resp, err := l.GetSopNodeList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
